/*
* This file is part of ArmarX.
*
* ArmarX is free software; you can redistribute it and/or modify
* it under the terms of the GNU Lesser General Public License as
* published by the Free Software Foundation; either version 2 of
* the License, or (at your option) any later version.
*
* ArmarX is distributed in the hope that it will be useful, but
* WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU Lesser General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program. If not, see <http://www.gnu.org/licenses/>.
*
* @package    ArmarX::
* @author     Nikolaus Vahrenkamp ( vahrenkamp at kit dot edu)
* @date       2012
* @copyright  http://www.gnu.org/licenses/gpl.txt
*             GNU General Public License
*/

#ifndef _ARMARXGUI_PLUGINS_HANDUNITCONFIGDIALOG_H
#define _ARMARXGUI_PLUGINS_HANDUNITCONFIGDIALOG_H

#include <QDialog>

#include <Core/core/IceManager.h>

#include <Gui/libraries/ArmarXGuiBase/widgets/IceProxyFinder.h>

namespace Ui {
    class HandUnitConfigDialog;
}

namespace armarx
{
    class HandUnitConfigDialog :
        public QDialog,
        virtual public ManagedIceObject
    {
        Q_OBJECT

    public:
        explicit HandUnitConfigDialog(QWidget *parent = 0);
        ~HandUnitConfigDialog();

    protected:
        // ManagedIceObject interface
        std::string getDefaultName() const { return "HandUnitConfigDialog" + uuid;}
        void onInitComponent();
        void onConnectComponent();

    private:
        Ui::HandUnitConfigDialog *ui;

        IceProxyFinderBase* proxyFinder;
        std::string uuid;

        friend class HandUnitWidget;

    };
}

#endif
