/*
* This file is part of ArmarX.
*
* ArmarX is free software; you can redistribute it and/or modify
* it under the terms of the GNU General Public License as
* published by the Free Software Foundation; either version 2 of
* the License, or (at your option) any later version.
*
* ArmarX is distributed in the hope that it will be useful, but
* WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU Lesser General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program. If not, see <http://www.gnu.org/licenses/>.
*
* @package    ArmarX::Core
* @author     Stefan Ulbrich (ulbrich at kit dot edu), Nikolaus Vahrenkamp
* @copyright  2011 Humanoids Group, HIS, KIT
* @license    http://www.gnu.org/licenses/gpl-2.0.txt
*             GNU General Public License
*/

#ifndef _ARMARX_ROBOTAPI_ROBOTSTATE_FRAMED_POSE_SLICE_
#define _ARMARX_ROBOTAPI_ROBOTSTATE_FRAMED_POSE_SLICE_

#include <Core/interface/observers/VariantBase.ice>
#include <Core/interface/observers/Filters.ice>
#include <RobotAPI/interface/core/PoseBase.ice>

module armarx
{

    ["cpp:virtual"]
    class FramedDirectionBase extends Vector3Base
    {
        string frame;
        string agent;
    };


    ["cpp:virtual"]
    class FramedPoseBase extends PoseBase
    {
        string frame;
        string agent;
    };

    ["cpp:virtual"]
    class FramedPositionBase extends Vector3Base
    {
        string frame;
        string agent;
    };

   ["cpp:virtual"]
    class FramedOrientationBase extends QuaternionBase
    {
        string frame;
        string agent;
    };

    dictionary<string, FramedDirectionBase> FramedDirectionMap;
    dictionary<string, FramedPositionBase> FramedPositionMap;

    ["cpp:virtual"]
    class PoseMedianFilterBase extends MedianFilterBase
    {

    };

};

#endif
