/*
* This file is part of ArmarX.
*
* ArmarX is free software; you can redistribute it and/or modify
* it under the terms of the GNU General Public License as
* published by the Free Software Foundation; either version 2 of
* the License, or (at your option) any later version.
*
* ArmarX is distributed in the hope that it will be useful, but
* WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU Lesser General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program. If not, see <http://www.gnu.org/licenses/>.
*
* @package    ArmarX::RobotAPI
* @author     Mirko Waechter (waechter at kit dot edu)
* @copyright  2015 Humanoids Group, H2T, KIT
* @license    http://www.gnu.org/licenses/gpl-2.0.txt
*             GNU General Public License
*/

#ifndef _ARMARX_ROBOTAPI_OBSERVER_FILTERS_SLICE_
#define _ARMARX_ROBOTAPI_OBSERVER_FILTERS_SLICE_

#include <Core/interface/observers/VariantBase.ice>
#include <Core/interface/observers/Filters.ice>

module armarx
{
    module checks
    {
        const string magnitudelarger = "magnitudelarger";
        const string magnitudesmaller = "magnitudesmaller";
        const string magnitudeinrange = "magnitudeinrange";
    };

    ["cpp:virtual"]
    class OffsetFilterBase extends DatafieldFilterBase
    {

    };

    ["cpp:virtual"]
    class MatrixMaxFilterBase extends DatafieldFilterBase
    {

    };

    ["cpp:virtual"]
    class MatrixMinFilterBase extends DatafieldFilterBase
    {

    };

    ["cpp:virtual"]
    class MatrixAvgFilterBase extends DatafieldFilterBase
    {

    };

    ["cpp:virtual"]
    class MatrixPercentileFilterBase extends DatafieldFilterBase
    {
        float percentile;
    };

    ["cpp:virtual"]
    class MatrixPercentilesFilterBase extends DatafieldFilterBase
    {
        int percentiles;
    };

    ["cpp:virtual"]
    class MatrixCumulativeFrequencyFilterBase extends DatafieldFilterBase
    {
        float min;
        float max;
        int bins;
    };

};

#endif
